2020-08-13 04:45:27

by Po-Hsu Lin

[permalink] [raw]
Subject: [PATCH] selftests: rtnetlink: load fou module for kci_test_encap_fou()

The kci_test_encap_fou() test from kci_test_encap() in rtnetlink.sh
needs the fou module to work. Otherwise it will fail with:

$ ip netns exec "$testns" ip fou add port 7777 ipproto 47
RTNETLINK answers: No such file or directory
Error talking to the kernel

Add the CONFIG_NET_FOU into the config file as well.

Signed-off-by: Po-Hsu Lin <[email protected]>
---
tools/testing/selftests/net/config | 1 +
tools/testing/selftests/net/rtnetlink.sh | 6 ++++++
2 files changed, 7 insertions(+)

diff --git a/tools/testing/selftests/net/config b/tools/testing/selftests/net/config
index 3b42c06b..96d2763 100644
--- a/tools/testing/selftests/net/config
+++ b/tools/testing/selftests/net/config
@@ -31,3 +31,4 @@ CONFIG_NET_SCH_ETF=m
CONFIG_NET_SCH_NETEM=y
CONFIG_TEST_BLACKHOLE_DEV=m
CONFIG_KALLSYMS=y
+CONFIG_NET_FOU
diff --git a/tools/testing/selftests/net/rtnetlink.sh b/tools/testing/selftests/net/rtnetlink.sh
index bdbf4b3..7931b65 100755
--- a/tools/testing/selftests/net/rtnetlink.sh
+++ b/tools/testing/selftests/net/rtnetlink.sh
@@ -521,6 +521,11 @@ kci_test_encap_fou()
return $ksft_skip
fi

+ if ! /sbin/modprobe -q -n fou; then
+ echo "SKIP: module fou is not found"
+ return $ksft_skip
+ fi
+ /sbin/modprobe -q fou
ip -netns "$testns" fou add port 7777 ipproto 47 2>/dev/null
if [ $? -ne 0 ];then
echo "FAIL: can't add fou port 7777, skipping test"
@@ -541,6 +546,7 @@ kci_test_encap_fou()
return 1
fi

+ /sbin/modprobe -q -r fou
echo "PASS: fou"
}

--
2.7.4


2020-08-14 23:46:30

by David Miller

[permalink] [raw]
Subject: Re: [PATCH] selftests: rtnetlink: load fou module for kci_test_encap_fou()

From: Po-Hsu Lin <[email protected]>
Date: Thu, 13 Aug 2020 12:44:22 +0800

> diff --git a/tools/testing/selftests/net/config b/tools/testing/selftests/net/config
> index 3b42c06b..96d2763 100644
> --- a/tools/testing/selftests/net/config
> +++ b/tools/testing/selftests/net/config
> @@ -31,3 +31,4 @@ CONFIG_NET_SCH_ETF=m
> CONFIG_NET_SCH_NETEM=y
> CONFIG_TEST_BLACKHOLE_DEV=m
> CONFIG_KALLSYMS=y
> +CONFIG_NET_FOU

You need to assign it a value, not just add it to the file by itself.

2020-08-17 02:59:05

by Po-Hsu Lin

[permalink] [raw]
Subject: Re: [PATCH] selftests: rtnetlink: load fou module for kci_test_encap_fou()

On Sat, Aug 15, 2020 at 7:43 AM David Miller <[email protected]> wrote:
>
> From: Po-Hsu Lin <[email protected]>
> Date: Thu, 13 Aug 2020 12:44:22 +0800
>
> > diff --git a/tools/testing/selftests/net/config b/tools/testing/selftests/net/config
> > index 3b42c06b..96d2763 100644
> > --- a/tools/testing/selftests/net/config
> > +++ b/tools/testing/selftests/net/config
> > @@ -31,3 +31,4 @@ CONFIG_NET_SCH_ETF=m
> > CONFIG_NET_SCH_NETEM=y
> > CONFIG_TEST_BLACKHOLE_DEV=m
> > CONFIG_KALLSYMS=y
> > +CONFIG_NET_FOU
>
> You need to assign it a value, not just add it to the file by itself.
Oops!
Patch re-submitted.
Thanks for catching this.

2020-09-04 09:14:04

by Po-Hsu Lin

[permalink] [raw]
Subject: Re: [PATCHv2] selftests: rtnetlink: load fou module for kci_test_encap_fou()

Hello David,

do you need more information for this V2 patch?

Thank you
PHLin

On Mon, Aug 17, 2020 at 10:53 AM Po-Hsu Lin <[email protected]> wrote:
>
> The kci_test_encap_fou() test from kci_test_encap() in rtnetlink.sh
> needs the fou module to work. Otherwise it will fail with:
>
> $ ip netns exec "$testns" ip fou add port 7777 ipproto 47
> RTNETLINK answers: No such file or directory
> Error talking to the kernel
>
> Add the CONFIG_NET_FOU into the config file as well. Which needs at
> least to be set as a loadable module.
>
> Signed-off-by: Po-Hsu Lin <[email protected]>
> ---
> tools/testing/selftests/net/config | 1 +
> tools/testing/selftests/net/rtnetlink.sh | 6 ++++++
> 2 files changed, 7 insertions(+)
>
> diff --git a/tools/testing/selftests/net/config b/tools/testing/selftests/net/config
> index 3b42c06b..96d2763 100644
> --- a/tools/testing/selftests/net/config
> +++ b/tools/testing/selftests/net/config
> @@ -31,3 +31,4 @@ CONFIG_NET_SCH_ETF=m
> CONFIG_NET_SCH_NETEM=y
> CONFIG_TEST_BLACKHOLE_DEV=m
> CONFIG_KALLSYMS=y
> +CONFIG_NET_FOU=m
> diff --git a/tools/testing/selftests/net/rtnetlink.sh b/tools/testing/selftests/net/rtnetlink.sh
> index bdbf4b3..7931b65 100755
> --- a/tools/testing/selftests/net/rtnetlink.sh
> +++ b/tools/testing/selftests/net/rtnetlink.sh
> @@ -521,6 +521,11 @@ kci_test_encap_fou()
> return $ksft_skip
> fi
>
> + if ! /sbin/modprobe -q -n fou; then
> + echo "SKIP: module fou is not found"
> + return $ksft_skip
> + fi
> + /sbin/modprobe -q fou
> ip -netns "$testns" fou add port 7777 ipproto 47 2>/dev/null
> if [ $? -ne 0 ];then
> echo "FAIL: can't add fou port 7777, skipping test"
> @@ -541,6 +546,7 @@ kci_test_encap_fou()
> return 1
> fi
>
> + /sbin/modprobe -q -r fou
> echo "PASS: fou"
> }
>
> --
> 2.7.4
>

2020-09-04 19:34:08

by Jakub Kicinski

[permalink] [raw]
Subject: Re: [PATCHv2] selftests: rtnetlink: load fou module for kci_test_encap_fou()

On Fri, 4 Sep 2020 17:10:39 +0800 Po-Hsu Lin wrote:
> Hello David,
>
> do you need more information for this V2 patch?

Something strange happened here, did you perhaps edit the patch
manually and resend the same email? I think the Message-ID header
may had been the same on v1 and v2 of your patch and it confused
all systems indexing by Message-ID..

Please regenerate the patch fully and resend.